import rhinoscriptsyntax as rhino

def make_hyp_parab(num_points = 5):
    """draw z = x*y"""
    lines = []

    for i in range(num_points):
      x = -1 + 2*float(i)/float(num_points - 1)
      #draw slice of z=x*y with this x value
      start_point = [x,-1,-x]
      end_point = [x,1,x]
      line = rhino.AddLine(start_point, end_point)
      lines.append(line)

    for i in range(num_points):
      y = -1 + 2*float(i)/float(num_points - 1)
      #draw slice of z=x*y with this x value
      start_point = [-1,y,-y]
      end_point = [1,y,y]
      line = rhino.AddLine(start_point, end_point)
      lines.append(line)

    return lines
  
make_hyp_parab()