import rhinoscriptsyntax as rhino

def make_network_srf(curves, delete_input = True):
  rhino.SelectObjects(curves)
  rhino.Command('_-NetworkSrf _Enter') #hyphen makes it a dialog box that we can enter past
  if rhino.LastCreatedObjects() != None:
    out = rhino.LastCreatedObjects()[0] #should return a list of one element
  else:
    out = None
  rhino.UnselectAllObjects()
  if delete_input:
    rhino.DeleteObjects(curves)
  return out