import rhinoscriptsyntax as rhino

###run this to draw pipes around a collection of curves
radius = rhino.GetReal("Enter radius", number = 1, minimum = 0)
objlist = rhino.GetObjects(message = "Select objects", filter=4) #curves only

rhino.EnableRedraw(False)

for obj in objlist:
    rhino.Command("_SelID " + str(obj))
    rhino.Command("_Pipe "+str(radius)+" _Enter _Enter")
    rhino.UnselectAllObjects()
    #rhino.AddPipe(obj,[0.0,1.0],[radius,radius], cap=1) #1 means flat cap, 2 means round, 0 means none ####not working yet
    
rhino.EnableRedraw(True)
